require "yafoy_integrations/version"
require "yaml"
require "pathname"
require "uri"

module YafoyIntegrations
  ROOT_PATH = Pathname.new(__dir__)
  INTEGRATION_PATH = ROOT_PATH.join("integrations")

  class << self
    def tsurprise
      @integrations = load_integrations("tsurprise.yml")
    end

    private

      def load_integrations(filename)
        YAML.load_file(INTEGRATION_PATH.join(filename))
      end
  end
end
